Bug 529096 - [ath9k] doesn't recognize rfkill switch changes
Summary: [ath9k] doesn't recognize rfkill switch changes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-14 22:27 UTC by Maximiliano Castanon
Modified: 2013-01-10 08:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 15:01:29 UTC
Type: ---


Attachments (Terms of Use)
output of NetworkManager --no-daemon (10.18 KB, application/octet-stream)
2009-10-14 22:27 UTC, Maximiliano Castanon
no flags Details

Description Maximiliano Castanon 2009-10-14 22:27:22 UTC
Created attachment 364823 [details]
output of NetworkManager --no-daemon

Description of problem:

if i press the network switch, this pull down the wireless interface, but if i press it from down state, this don't do nothing... 
NetworkManager down optionally the network wireless card, but when i try to up the interface, this one don't do nothing!... 

atkbd.c: Unknown key pressed (translated set 2, code 0xd6 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e056 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xd6 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e056 <keycode>' to make it known.
wlan0: disassociating by local choice (reason=3)
wlan0: deauthenticating by local choice (reason=3)
////////// this show when i try to up the interface...////////////////////
atkbd.c: Unknown key pressed (translated set 2, code 0xd5 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e055 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xd5 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e055 <keycode>' to make it known.
/////the next, only works if i up it manually///////////////////////////
ADDRCONF(NETDEV_UP): wlan0: link is not ready


Version-Release number of selected component (if applicable):
NetworkManager 0.7.1


How reproducible:
Gateway NV52 Series
exactly it is a Gateway NV5214u, 

09:00.0 Network controller [0280]: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) [168c:002a] (rev 01)
	Subsystem: Lite-On Communications Inc Device [11ad:6600]

i press the button, the wireless network interface go down, i press it again, the network interface up... but only the LED, because this one never up, NetworkManager says...

NetworkManager: <info>  (wlan0): deactivating device (reason: 0).
-- Error received: Numerical result out of range
-- Original message: type=0x19 length=56 flags=<REQUEST,ACK> sequence-nr=1255557399 pid=4200967
NetworkManager: <WARN>  check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess
 






Steps to Reproduce:
1.pull down the wireless network
2.try to up the network card 
3.check "ifconfig wlan0" if it the network is up 
  
Actual results:

wlan0 interface don't get up when i press the button, NetworkManager:

 
NetworkManager: <info>  (wlan0): deactivating device (reason: 0).
-- Error received: Numerical result out of range
-- Original message: type=0x19 length=56 flags=<REQUEST,ACK> sequence-nr=1255557399 pid=4200967
NetworkManager: <WARN>  check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess


Expected results:
NetworkManager need to work properly when i turn on the wireless network card


Additional info:

[maximi89@gateway etc]$ sudo NetworkManager --no-daemon
NetworkManager: <info>  starting...
-- Error received: File exists
-- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC> sequence-nr=1255557352 pid=4200967
NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():
Sucess

NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/pci_168c_2a_rfkill_ath9k_phy0__rfkill_wlan
NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/platform_acer_wmi_rfkill_acer_wireless_wlan
NetworkManager: nm_device_ethernet_new: assertion `driver != NULL' failed
NetworkManager: <info>  (eth0): new Ethernet device (driver: 'tg3')
NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_1f_16_a8_a9_c1
NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'ath9k')
NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_22_5f_ac_17_5b
NetworkManager: <info>  Wireless now disabled by radio killswitch
NetworkManager: <info>  (eth0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info>  (eth0): bringing up device.
NetworkManager: <info>  (eth0): preparing device.
NetworkManager: <info>  (eth0): deactivating device (reason: 2).
NetworkManager: <info>  (wlan0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info>  (wlan0): bringing up device.
NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
NetworkManager: <info>  Wireless now enabled by radio killswitch
NetworkManager: <info>  (wlan0): bringing up device.
NetworkManager: <info>  (wlan0): device state change: 2 -> 3 (reason 0)
NetworkManager: <info>  (wlan0): supplicant interface state:  starting -> ready
NetworkManager: <info>  Activation (wlan0) starting connection 'Auto LevelOne'
NetworkManager: <info>  (wlan0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info>  (wlan0): device state change: 4 -> 5 (reason 0)
NetworkManager: <info>  (wlan0): preparing device.
NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto LevelOne' has security, but secrets are required.
NetworkManager: <info>  (wlan0): device state change: 5 -> 6 (reason 0)
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  (wlan0): device state change: 6 -> 4 (reason 0)
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info>  (wlan0): device state change: 4 -> 5 (reason 0)
NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto LevelOne' has security, and secrets exist.  No new secrets needed.
NetworkManager: <info>  Config: added 'ssid' value 'LevelOne'
NetworkManager: <info>  Config: added 'scan_ssid' value '1'
NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
NetworkManager: <info>  Config: added 'psk' value '<omitted>'
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Config: set interface ap_scan to 1
NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected
NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> associating
NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> associated
NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> group handshake
NetworkManager: <info>  (wlan0): supplicant connection state:  group handshake -> completed
NetworkManager: <info>  Activation (wlan0/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'LevelOne'.
NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info>  (wlan0): device state change: 5 -> 7 (reason 0)
NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) started...
NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) complete.
NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) started...
NetworkManager: <info>  (wlan0): device state change: 7 -> 8 (reason 0)
NetworkManager: <info>  Policy set 'Auto LevelOne' (wlan0) as default for routing and DNS.
NetworkManager: <info>  Activation (wlan0) successful, device activated.
NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) complete.
NetworkManager: <info>  Wireless now disabled by radio killswitch
NetworkManager: <info>  (wlan0): device state change: 8 -> 2 (reason 0)
NetworkManager: <info>  (wlan0): deactivating device (reason: 0).
-- Error received: Numerical result out of range
-- Original message: type=0x19 length=56 flags=<REQUEST,ACK> sequence-nr=1255557399 pid=4200967
NetworkManager: <WARN>  check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess

NetworkManager: <info>  (wlan0): taking down device.




09:00.0 Network controller [0280]: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) [168c:002a] (rev 01)
	Subsystem: Lite-On Communications Inc Device [11ad:6600]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f0400000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k
	Kernel modules: ath9k


09:00.0 Network controller [0280]: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) [168c:002a] (rev 01)
	Subsystem: Lite-On Communications Inc Device [11ad:6600]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f0400000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2- AuxCurrent=375mA PME(D0+,D1+,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [60] Express (v1) Legacy Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM unknown, Latency L0 <512ns, L1 <64us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM L1 Enabled; RCB 128 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [90] MSI-X: Enable- Count=1 Masked-
		Vector table: BAR=0 offset=00000000
		PBA: BAR=0 offset=00000000
	Capabilities: [100] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 14, GenCap+ CGenEn- ChkCap+ ChkEn-
	Capabilities: [140] Virtual Channel <?>
	Capabilities: [160] Device Serial Number 00-00-00-00-00-00-00-00
	Kernel driver in use: ath9k
	Kernel modules: ath9k


atkbd.c: Unknown key pressed (translated set 2, code 0xd6 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e056 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xd6 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e056 <keycode>' to make it known.
wlan0: disassociating by local choice (reason=3)
wlan0: deauthenticating by local choice (reason=3)
atkbd.c: Unknown key pressed (translated set 2, code 0xd5 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e055 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xd5 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e055 <keycode>' to make it known.
ADDRCONF(NETDEV_UP): wlan0: link is not ready

Comment 1 Maximiliano Castanon 2009-10-23 16:36:27 UTC
seems to be a problem with the superkeys, when i press the superkey for deactivate the wireless card, and press if again, this doesn't do the work and NetworkManager only can read 
"  killswitch.state = 0  (0x0)  (int)"
so it doesn't start the device, i'm having some problems with more superkeys, i'm using a laptop Gateway Nv5214u


[maximi89@gateway ~]$ hal-device |more
0: udi = '/org/freedesktop/Hal/devices/pci_168c_2a_rfkill_ath9k_phy0__rfkill_wlan'
  info.category = 'killswitch'  (string)
  info.capabilities = { 'killswitch' } (string list)
  info.interfaces = { 'org.freedesktop.Hal.Device.KillSwitch' } (string list)
  killswitch.type = 'wlan'  (string)
  killswitch.state = 0  (0x0)  (int)
  killswitch.access_method = 'rfkill'  (string)
  killswitch.name = 'ath9k-phy0::rfkill'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:06.0/0000:09:00.0/rfkill/rfkill1'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_168c_2a'  (string)
  info.subsystem = 'rfkill'  (string)
  info.product = 'ath9k-phy0::rfkill wlan Killswitch'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_168c_2a_rfkill_ath9k_phy0__rfkill_wlan'  (string)
  info.addons.singleton = { 'hald-addon-rfkill-killswitch' } (string list)
  info.vendor = 'Atheros Communications Inc.'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'rfkill'  (string)

Comment 2 Maximiliano Castanon 2009-10-23 18:51:36 UTC
i was searching about rfkill or killswitch, the supperkey works fine sometimes if i change the value from 2(disconnect) to 1(connected), of course that requires "ifconfig wlan0 up" because some times when i made "ifconfig wlan0 up" this automatically change the rfkill from 2 to 1, but when this fails, the value doesn't change from 2 to 1.



[root@gateway maximi89]# cat "/sys/bus/pci/drivers/ath9k/0000:09:00.0/rfkill/rfkill2/state"
1
[root@gateway maximi89]# ifconfig 
eth0      Link encap:Ethernet  HWaddr 00:1F:16:A8:A9:C1  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:16 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:797 errors:0 dropped:0 overruns:0 frame:0
          TX packets:797 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:80531 (78.6 KiB)  TX bytes:80531 (78.6 KiB)

wlan0     Link encap:Ethernet  HWaddr 00:22:5F:AC:17:5B  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:100536 errors:0 dropped:0 overruns:0 frame:0
          TX packets:76690 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:96564887 (92.0 MiB)  TX bytes:12602025 (12.0 MiB)

wmaster0  Link encap:UNSPEC  HWaddr 00-22-5F-AC-17-5B-11-D2-00-00-00-00-00-00-00-00  
          UP RUNNING  MTU:0  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

[root@gateway maximi89]# cat "/sys/bus/pci/drivers/ath9k/0000:09:00.0/rfkill/rfkill2/state"
1

all before indicates wireless interface is up and working very well, from here to down, now i press the superkey for wireless disconnect...

[root@gateway maximi89]# cat "/sys/bus/pci/drivers/ath9k/0000:09:00.0/rfkill/rfkill2/state"
2
[root@gateway maximi89]# ifconfig 
eth0      Link encap:Ethernet  HWaddr 00:1F:16:A8:A9:C1  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:16 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:797 errors:0 dropped:0 overruns:0 frame:0
          TX packets:797 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:80531 (78.6 KiB)  TX bytes:80531 (78.6 KiB)


Works like spected, but now i going to activate it again from state 2(disconnected)

[root@gateway maximi89]# cat "/sys/bus/pci/drivers/ath9k/0000:09:00.0/rfkill/rfkill2/state"
2

like you can see the state still to be disconnected.
Let me try to get up the wireless interface...

[root@gateway maximi89]# ifconfig wlan0 up
[root@gateway maximi89]# cat "/sys/bus/pci/drivers/ath9k/0000:09:00.0/rfkill/rfkill2/state"
2

was impossible to get up the interface, but change the value manually to 1

[root@gateway maximi89]# nano "/sys/bus/pci/drivers/ath9k/0000:09:00.0/rfkill/rfkill2/state"

now the wlan0 works!

Note: if you try to change the value with the button in "disconnect" mode, will be impossible to change the value, because the state mode of the button, will ever overwrite "/sys/bus/pci/drivers/ath9k/0000:09:00.0/rfkill/rfkill2/state"

Comment 3 Matthew Garrett 2009-10-24 01:55:26 UTC
Sounds like a kernel issue with the ath9k driver failing to notice that it's had its state updated, though I suspect we could help it by mapping the key appropriately.

Comment 4 Maximiliano Castanon 2009-10-24 02:57:26 UTC
so, what are we waiting for?, tell me what do you need and i go to get it for you.

how i can set the key appropriately?

Comment 5 Dan Williams 2009-11-07 02:18:24 UTC
-> kernel then

Comment 6 Maximiliano Castanon 2009-12-26 05:52:31 UTC
this Problem still alive in Fedora 12 2.6.31.9-174

Comment 7 Maximiliano Castanon 2010-03-06 02:25:24 UTC
This has been resolved in a recently update...

Comment 8 Bug Zapper 2010-04-28 10:50:01 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-06-28 15:01:29 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.